function ComboFrame_Update()
	local comboPoints = GetComboPoints(PlayerFrame.unit, "target");
	local comboPoint, comboPointHighlight, comboPointShine;
	if ( comboPoints > 0 ) then
		if ( not ComboFrame:IsShown() ) then
			ComboFrame:Show();
			UIFrameFadeIn(ComboFrame, COMBOFRAME_FADE_IN);
		end
		
		local fadeInfo = {};
		for i=1, MAX_COMBO_POINTS,1 do
			comboPointHighlight = getglobal("ComboPoint"..i.."Highlight");
			comboPointShine = getglobal("ComboPoint"..i.."Shine");
			comboPoint = getglobal("ComboPoint"..i)
			if ( i <= comboPoints ) then
				if ( i > COMBO_FRAME_LAST_NUM_POINTS ) then
					-- Fade in the highlight and set a function that triggers when it is done fading
					fadeInfo.mode = "IN";
					fadeInfo.timeToFade = COMBOFRAME_HIGHLIGHT_FADE_IN;
					fadeInfo.finishedFunc = ComboPointShineFadeIn;
					fadeInfo.finishedArg1 = comboPointShine;
					UIFrameFade(comboPointHighlight, fadeInfo);
				end
				comboPoint:Show()
			else
				comboPointHighlight:SetAlpha(0);
				comboPointShine:SetAlpha(0);
				comboPoint:Hide()
			end
		end
	else
		ComboPoint1Highlight:SetAlpha(0);
		ComboPoint1Shine:SetAlpha(0);
		ComboFrame:Hide();
	end
	COMBO_FRAME_LAST_NUM_POINTS = comboPoints;
end